Summary: Enhanced version of Links (Lynx-like text WWW browser)
Name: elinks
Version: 0.11.3
Release: 1tr
License: GPL
Group: Trustix Official
URL: http://elinks.or.cz/
Source: http://elinks.or.cz/download/%{name}-%{version}.tar.bz2
Patch0: elinks-connect.patch
Patch1: elinks-CVE-2007-2027.patch
Buildroot: /var/tmp/%{name}-root

%description
 ELinks is a program for browsing the web in text mode.
It provide a feature-rich text mode browser with an open 
patches/features inclusion policy and active development.  
One of these features is that ELinks includes Links-Lua  
which adds scripting capabilities to ELinks.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%configure --prefix=%{_prefix} \
	--with-openssl \
	--enable-small \
	--disable-xbel \
	--with-x=no \
	--disable-nls \
	--without-lua \
	--disable-backtrace
	
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
ln -s elinks $RPM_BUILD_ROOT%{_bindir}/links
ln -s elinks.1 $RPM_BUILD_ROOT%{_mandir}/man1/links.1
                 

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS* BUGS* ChangeLog* COPYING* README* SITES* TODO* 
/usr/bin/elinks
/usr/bin/links
/usr/share/man/man1/links.1*
/usr/share/man/man1/elinks.1.gz
/usr/share/man/man5/elinkskeys.5.gz
/usr/share/man/man5/elinks.conf.5.gz

%changelog
* Thu May 10 2007 Nived Gopalan <nived at trustix dot org> 0.11.3-1tr
- New upstream.
- SECURITY Fix: Arnaud Giersch has reported a weakness in ELinks, 
  caused due to the "add_filename_to_string()" function in 
  src/intl/gettext/loadmsgcat.c reading gettext catalogs from
  potentially untrusted paths. This can be exploited to execute
  arbitrary code with escalated privileges by enticing another
  user to run ELinks in a specially prepared directory environment.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2007-2027 to this issue.

* Thu Feb 01 2007 Bipin S <bipin at trustix dot org> 0.11.2-1tr
- New upstream.
- SECURITY Fix: Teemu Salmela has discovered a vulnerability, which
  is caused due to an error in the validation of "smb://" URLs when
  Links runs smbclient commands. This can be exploited to download
  and overwrite local files or upload local files to an SMB share
  by injecting smbclient commands in the "smb://" URL.
                                                                                                                             
  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2006-5925 to this issue.

* Wed May 04 2005 Hasher J <hasher at comodo dot com> 0.10.5-1tr
- New upstream

* Tue Apr 19 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 0.10.4-1tr
- New upstream

* Mon Apr 11 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.10.3-3tr
- Created links symlinked to elinks, Bug ID #224

* Tue Mar 15 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 0.10.3-2tr
- Rebuilt

* Wed Mar  2 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 0.10.3-1tr
- Initial Build for TSL3.0
                

